Page MenuHomeVyOS Platform

1.3-rolling boots to GRUB prompt post-install on UEFI systems
Closed, ResolvedPublicFEATURE REQUEST

Description

T859 appears to have added support in the 1.2 branch. It installs via forced uefi boot, but boots to the grub prompt.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

systo created this task.Nov 28 2019, 4:05 AM
rps added a subscriber: rps.Dec 30 2019, 10:39 PM

Just adding a "me too" to this issue.

I ran into the same behavior of a 1.3 rolling install booting to a GRUB prompt post-install.

On Supermicro Atom C3000 with the installer works fine but appears to force UEFI for the install process (even if legacy boot is enabled). The result after install is that the system boots to a GRUB prompt.

Debian 10.2 installation works fine so I don't think it's a hardware compatibility issue or BIOS bug. Something about the way GRUB is installed and configured during the install image process may be broken.

rps renamed this task from Add UEFI boot to Equuleus rollong to 1.3-rolling boots to GRUB prompt post-install.Dec 30 2019, 10:40 PM
rps added a comment.Dec 30 2019, 10:52 PM

Until UEFI support is more mature the quick fix may be to prompt the user for legacy or UEFI install during the install process rather than making an assumption based on the kernel detecting UEFI support.

rps renamed this task from 1.3-rolling boots to GRUB prompt post-install to 1.3-rolling boots to GRUB prompt post-install on UEFI systems.Dec 30 2019, 10:54 PM
pasik added a subscriber: pasik.Dec 31 2019, 9:53 AM
kroy added a subscriber: kroy.

T1940 should fix this. It would be pretty trivial to add the ability to choose between EFI and BIOS when EFI is present, though this fix should make it unnecessary

syncer closed this task as Resolved.Jan 18 2020, 2:27 PM
syncer claimed this task.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.